import request from '@/utils/request'

// 查询列表
export function listDeviceInformation(query) {
  return request({
    url: '/project/deviceInformation/list',
    method: 'get',
    params: query,
  })
}

// 新增
export function addDeviceInformation(data) {
  return request({
    url: '/project/deviceInformation',
    method: 'post',
    data: data,
  })
}

// 修改
export function updateDeviceInformation(data) {
  return request({
    url: '/project/deviceInformation',
    method: 'put',
    data: data,
  })
}

// 删除
export function delDeviceInformation(addressId) {
  return request({
    url: '/project/deviceInformation/' + addressId,
    method: 'delete',
  })
}

export function retractApproval(data) {
  return request({
    url: '/flowable/business/retractApproval',
    method: 'post',
    data: data,
  })
}

export function approvalHistory(data) {
  return request({
    // url: '/flowable/business/approvalHistory',
    url: '/flowable/business/checkHistory ',
    method: 'post',
    data: data,
  })
}
export function approvalHistoryOld(data) {
  return request({
    url: '/flowable/business/approvalHistory',
    // url: '/flowable/business/checkHistory ',
    method: 'post',
    data: data,
  })
}
